=== modified file 'ChangeLog'
--- ChangeLog	2007-05-18 17:38:56 +0000
+++ ChangeLog	2007-05-20 22:36:42 +0000
@@ -1,3 +1,15 @@
+2007-05-21  Andy Wingo  <wingo@pobox.com>
+
+	* guile-cairo/guile-cairo-enum-types.h: Include <cairo-svg.h> if
+	we are wrapping cairo_svg_version_t.
+
+2007-05-20  Andy Wingo  <wingo@pobox.com>
+
+	* guile-cairo/guile-cairo.c (scm_init_cairo): Add guard against
+	multiple instantiations.
+
+	* guile-cairo/guile-cairo.h: Include cairo.h header.
+
 2007-05-18  Andy Wingo  <wingo@pobox.com>
 
 	* configure.ac: Change version to 1.3.90.

=== modified file 'guile-cairo/guile-cairo-enum-types.h'
--- guile-cairo/guile-cairo-enum-types.h	2007-05-18 14:05:17 +0000
+++ guile-cairo/guile-cairo-enum-types.h	2007-05-20 22:36:42 +0000
@@ -24,6 +24,10 @@
 #ifndef __GUILE_CAIRO_ENUM_TYPES_H__
 #define __GUILE_CAIRO_ENUM_TYPES_H__
 
+#if CAIRO_HAS_SVG_SURFACE
+#include <cairo-svg.h>
+#endif
+
 
 
 SCM scm_from_cairo_status (cairo_status_t cval);

=== modified file 'guile-cairo/guile-cairo.c'
--- guile-cairo/guile-cairo.c	2007-05-18 16:27:47 +0000
+++ guile-cairo/guile-cairo.c	2007-05-20 18:32:44 +0000
@@ -2281,6 +2281,11 @@
 void
 scm_init_cairo (void)
 {
+    static int initialized = 0;
+
+    if (initialized)
+        return;
+
 #ifndef SCM_MAGIC_SNARFER
 #include "guile-cairo.x"
 #endif
@@ -2288,5 +2293,6 @@
     scm_init_cairo_smob_types ();
     scm_init_cairo_vector_types ();
     scm_init_cairo_enum_types ();
-    scm_c_export (NULL);
+
+    initialized = 1;
 }

=== modified file 'guile-cairo/guile-cairo.h'
--- guile-cairo/guile-cairo.h	2007-05-18 11:39:11 +0000
+++ guile-cairo/guile-cairo.h	2007-05-20 17:30:53 +0000
@@ -24,6 +24,8 @@
 #ifndef __GUILE_CAIRO_H__
 #define __GUILE_CAIRO_H__
 
+#include <cairo.h>
+
 #include <guile-cairo-smob-types.h>
 #include <guile-cairo-enum-types.h>
 #include <guile-cairo-vector-types.h>

